description

# StreamConsumer<S> class Null safety

Abstract interface for a "sink" accepting multiple entire streams.

A consumer can accept a number of consecutive streams using addStream, and when no further data need to be added, the close method tells the consumer to complete its work and shut down.

The Stream.pipe accepts a `StreamConsumer` and will pass the stream to the consumer's addStream method. When that completes, it will call close and then complete its own returned future.

Implementers
  - StreamSink

## Constructors

StreamConsumer()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

addStream(Stream<S> stream) → Future
  Consumes the elements of `stream`. [...]
close() → Future
  Tells the consumer that no further streams will be added. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited